/*
 * poll i2c IR receiver -- Hauppauge boards
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>
#include <sys/ioctl.h>
#include <linux/types.h>
#include <linux/i2c.h>


int
main(int argc, char *argv[])
{
    int  c,f;
    unsigned char b[40];
    char *device = "/dev/i2c-0";
	
    /* parse options */
    while (-1 != (c=getopt(argc,argv,"hd:"))) {
	switch (c){
	case 'd':
	    if (optarg)
		device = optarg;
	    break;
	case 'h':
	default:
	    printf("poll IR chip\n");
	    printf("usage: %s [ -d device ]\n",argv[0]);
	    exit(1);
	}
    }

    if (-1 == (f = open(device,O_RDWR))) {
	fprintf(stderr,"open %s: %s\n",device,strerror(errno));
	exit(1);
    }
    ioctl(f,I2C_SLAVE,0x30 >> 1);
    for (;;) {
	if (-1 == read(f,b,3)) {
	    perror("read");
	    break;
	}
	printf("0x%x 0x%x 0x%x\n",b[0],b[1],b[2]);
	sleep(1);
    }
    close(f);
    exit(0);
}
